Namespace.register("UB")
//初始化使用
window.onload = function () {
    U.M.OLM(); U.M.stopRefresh();
    window.onresize();
}

//大小变化使用
window.onresize = function () {
    var d = $(".UF_P").Child(), _uh = $("body")[0].offsetHeight - 75;
    if (_uh > 0) { d[1].style.height = $("body")[0].offsetHeight - 75 + "px"; }
}

//收藏夹文件夹打印区域
UB.FVC_SU = function (e, d) {
    var i, a, t, f = $$("frag");
    for (i = 0; i < e.length; i++) {
        a = $$("div", { "className": "UF_PXOA" }, f);
        t = $$("div", { "className": "UF_PXOAU", "onclick": [[UB.FV_OC, ([e[i], a])]], "title": "展开" }, a);
        $$("div", { "className": "UF_PXOAUL UF_PI" }, t);
        $$("div", { "className": "UF_PXOAUR UTDF", "innerHTML": e[i].CateName }, t);
        $$("div", { "className": "UF_PXOAD", "style": { "display": "none"} }, a);
    }
    d.appendChild(f);
}

//获取收藏的网页
UB.FV_OC = function (e, d) {
    if (!e.FV) { WE.FVSel(e.Guid, U.M.getFun(UB.AsynFV_OC, e, d)) }
    else { UB.AsynFV_OC(e, d); }
}

//异步网页
UB.AsynFV_OC = function (e, d, json) {
    var i, a, f = $$("frag"); d = $(d).Child()[1]; (json) && (e.FV = eval('(' + json + ')'));
    if (d.style.display == "none") {
        if (e.FV.length) {
            for (i = 0; i < e.FV.length; i++) {
                a = $$("div", { "className": "UF_PXO", "title": e.FV[i].FVContent }, f);
                $$("div", { "className": "UF_PXOL UF_PI", "title": "取消收藏", "onclick": [[UB.DELFV, ([e.FV[i].Guid, e.FV, a])]] }, a);
                $$("div", { "className": "UF_PXOR UTDF", "innerHTML": e.FV[i].FVContent, "onclick": [[UB.OpenFV, ([e.FV[i].FVhref])]] }, a);
            }
            d.innerHTML = ""; d.appendChild(f); d.style.display = "";
        }
    }
    else { d.style.display = "none"; }
}

//打开收藏夹
UB.OpenFV = function (url) {
    WE.OpenURL(url);
}

//取消收藏
UB.DELFV = function (id, e, d) {
    WE.DelFV(id); _$(e).Delete({ "Guid": id }); $(d).remove();
}